aboutsummaryrefslogtreecommitdiffstats
path: root/coin
diff options
context:
space:
mode:
authorHeikki Halmet <heikki.halmet@qt.io>2018-04-10 16:04:28 +0300
committerLiang Qi <liang.qi@qt.io>2018-04-15 05:55:45 +0000
commitcfc44559ef5e01103eaca83d68616297e622e006 (patch)
tree45ffb3e88b794047e56425f0b184217a98efa40c /coin
parentf9e9dd13939f87c4ac1838a4b8d7f03c9100fb5b (diff)
Provisioning: Install Git Large File Storage
This tool is needed to clone some repositories correctly Task-number: QTQAINFRA-1921 Change-Id: If4744304490649aeecf9daa0c1f840ded9b7beed Reviewed-by: Samuli Piippo <samuli.piippo@qt.io>
Diffstat (limited to 'coin')
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-git_lfs.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-git_lfs.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-git_lfs.sh
new file mode 100755
index 00000000..b7adce5b
--- /dev/null
+++ b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-git_lfs.sh
@@ -0,0 +1,43 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2018 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# Install Git Large File Storage
+
+set -ex
+
+sudo apt-add-repository 'deb https://packagecloud.io/github/git-lfs/ubuntu/ xenial main'
+sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 37BBEE3F7AD95B3F
+sudo apt update
+sudo apt install git-lfs